set moduleName XMC_grid_sync
set isTopModule 1
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_none
set isOneStateSeq 0
set ProfileFlag 0
set StallSigGenFlag 0
set isEnableWaveformDebug 1
set C_modelName {XMC_grid_sync}
set C_modelType { void 0 }
set C_modelArgList {
	{ Ig_A_V int 32 regular {axi_s 0 volatile  { Ig_A_V Data } }  }
	{ Ig_B_V int 32 regular {axi_s 0 volatile  { Ig_B_V Data } }  }
	{ Ig_C_V int 32 regular {axi_s 0 volatile  { Ig_C_V Data } }  }
	{ Ug_A_V int 32 regular {axi_s 0 volatile  { Ug_A_V Data } }  }
	{ Ug_B_V int 32 regular {axi_s 0 volatile  { Ug_B_V Data } }  }
	{ Ug_C_V int 32 regular {axi_s 0 volatile  { Ug_C_V Data } }  }
	{ Ts_V int 32 regular {axi_s 0 volatile  { Ts_V Data } }  }
	{ Ig_d_V int 32 regular {axi_s 1 volatile  { Ig_d_V Data } }  }
	{ Ig_q_V int 32 regular {axi_s 1 volatile  { Ig_q_V Data } }  }
	{ Ig_zero_V int 32 regular {axi_s 1 volatile  { Ig_zero_V Data } }  }
	{ Ug_d_V int 32 regular {axi_s 1 volatile  { Ug_d_V Data } }  }
	{ Ug_q_V int 32 regular {axi_s 1 volatile  { Ug_q_V Data } }  }
	{ Ug_zero_V int 32 regular {axi_s 1 volatile  { Ug_zero_V Data } }  }
	{ theta_V int 32 regular {axi_s 1 volatile  { theta_V Data } }  }
	{ freq_V int 32 regular {axi_s 1 volatile  { freq_V Data } }  }
}
set C_modelArgMapList {[ 
	{ "Name" : "Ig_A_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_A.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_B_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_B.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_C_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_C.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_A_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_A.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_B_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_B.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_C_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_C.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ts_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ts.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_d_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_d.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_q_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_q.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_zero_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_zero.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_d_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_d.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_q_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_q.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_zero_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_zero.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "theta_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "theta.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "freq_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "freq.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} ]}
# RTL Port declarations: 
set portNum 47
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst_n sc_in sc_logic 1 reset -1 active_low_sync } 
	{ Ig_A_V_TDATA sc_in sc_lv 32 signal 0 } 
	{ Ig_A_V_TVALID sc_in sc_logic 1 invld 0 } 
	{ Ig_A_V_TREADY sc_out sc_logic 1 inacc 0 } 
	{ Ig_B_V_TDATA sc_in sc_lv 32 signal 1 } 
	{ Ig_B_V_TVALID sc_in sc_logic 1 invld 1 } 
	{ Ig_B_V_TREADY sc_out sc_logic 1 inacc 1 } 
	{ Ig_C_V_TDATA sc_in sc_lv 32 signal 2 } 
	{ Ig_C_V_TVALID sc_in sc_logic 1 invld 2 } 
	{ Ig_C_V_TREADY sc_out sc_logic 1 inacc 2 } 
	{ Ug_A_V_TDATA sc_in sc_lv 32 signal 3 } 
	{ Ug_A_V_TVALID sc_in sc_logic 1 invld 3 } 
	{ Ug_A_V_TREADY sc_out sc_logic 1 inacc 3 } 
	{ Ug_B_V_TDATA sc_in sc_lv 32 signal 4 } 
	{ Ug_B_V_TVALID sc_in sc_logic 1 invld 4 } 
	{ Ug_B_V_TREADY sc_out sc_logic 1 inacc 4 } 
	{ Ug_C_V_TDATA sc_in sc_lv 32 signal 5 } 
	{ Ug_C_V_TVALID sc_in sc_logic 1 invld 5 } 
	{ Ug_C_V_TREADY sc_out sc_logic 1 inacc 5 } 
	{ Ts_V_TDATA sc_in sc_lv 32 signal 6 } 
	{ Ts_V_TVALID sc_in sc_logic 1 invld 6 } 
	{ Ts_V_TREADY sc_out sc_logic 1 inacc 6 } 
	{ Ig_d_V_TDATA sc_out sc_lv 32 signal 7 } 
	{ Ig_d_V_TVALID sc_out sc_logic 1 outvld 7 } 
	{ Ig_d_V_TREADY sc_in sc_logic 1 outacc 7 } 
	{ Ig_q_V_TDATA sc_out sc_lv 32 signal 8 } 
	{ Ig_q_V_TVALID sc_out sc_logic 1 outvld 8 } 
	{ Ig_q_V_TREADY sc_in sc_logic 1 outacc 8 } 
	{ Ig_zero_V_TDATA sc_out sc_lv 32 signal 9 } 
	{ Ig_zero_V_TVALID sc_out sc_logic 1 outvld 9 } 
	{ Ig_zero_V_TREADY sc_in sc_logic 1 outacc 9 } 
	{ Ug_d_V_TDATA sc_out sc_lv 32 signal 10 } 
	{ Ug_d_V_TVALID sc_out sc_logic 1 outvld 10 } 
	{ Ug_d_V_TREADY sc_in sc_logic 1 outacc 10 } 
	{ Ug_q_V_TDATA sc_out sc_lv 32 signal 11 } 
	{ Ug_q_V_TVALID sc_out sc_logic 1 outvld 11 } 
	{ Ug_q_V_TREADY sc_in sc_logic 1 outacc 11 } 
	{ Ug_zero_V_TDATA sc_out sc_lv 32 signal 12 } 
	{ Ug_zero_V_TVALID sc_out sc_logic 1 outvld 12 } 
	{ Ug_zero_V_TREADY sc_in sc_logic 1 outacc 12 } 
	{ theta_V_TDATA sc_out sc_lv 32 signal 13 } 
	{ theta_V_TVALID sc_out sc_logic 1 outvld 13 } 
	{ theta_V_TREADY sc_in sc_logic 1 outacc 13 } 
	{ freq_V_TDATA sc_out sc_lv 32 signal 14 } 
	{ freq_V_TVALID sc_out sc_logic 1 outvld 14 } 
	{ freq_V_TREADY sc_in sc_logic 1 outacc 14 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst_n", "role": "default" }} , 
 	{ "name": "Ig_A_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_A_V", "role": "TDATA" }} , 
 	{ "name": "Ig_A_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_A_V", "role": "TVALID" }} , 
 	{ "name": "Ig_A_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_A_V", "role": "TREADY" }} , 
 	{ "name": "Ig_B_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_B_V", "role": "TDATA" }} , 
 	{ "name": "Ig_B_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_B_V", "role": "TVALID" }} , 
 	{ "name": "Ig_B_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_B_V", "role": "TREADY" }} , 
 	{ "name": "Ig_C_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_C_V", "role": "TDATA" }} , 
 	{ "name": "Ig_C_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_C_V", "role": "TVALID" }} , 
 	{ "name": "Ig_C_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_C_V", "role": "TREADY" }} , 
 	{ "name": "Ug_A_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_A_V", "role": "TDATA" }} , 
 	{ "name": "Ug_A_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ug_A_V", "role": "TVALID" }} , 
 	{ "name": "Ug_A_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ug_A_V", "role": "TREADY" }} , 
 	{ "name": "Ug_B_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_B_V", "role": "TDATA" }} , 
 	{ "name": "Ug_B_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ug_B_V", "role": "TVALID" }} , 
 	{ "name": "Ug_B_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ug_B_V", "role": "TREADY" }} , 
 	{ "name": "Ug_C_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_C_V", "role": "TDATA" }} , 
 	{ "name": "Ug_C_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ug_C_V", "role": "TVALID" }} , 
 	{ "name": "Ug_C_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ug_C_V", "role": "TREADY" }} , 
 	{ "name": "Ts_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ts_V", "role": "TDATA" }} , 
 	{ "name": "Ts_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ts_V", "role": "TVALID" }} , 
 	{ "name": "Ts_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ts_V", "role": "TREADY" }} , 
 	{ "name": "Ig_d_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_d_V", "role": "TDATA" }} , 
 	{ "name": "Ig_d_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ig_d_V", "role": "TVALID" }} , 
 	{ "name": "Ig_d_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ig_d_V", "role": "TREADY" }} , 
 	{ "name": "Ig_q_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_q_V", "role": "TDATA" }} , 
 	{ "name": "Ig_q_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ig_q_V", "role": "TVALID" }} , 
 	{ "name": "Ig_q_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ig_q_V", "role": "TREADY" }} , 
 	{ "name": "Ig_zero_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_zero_V", "role": "TDATA" }} , 
 	{ "name": "Ig_zero_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ig_zero_V", "role": "TVALID" }} , 
 	{ "name": "Ig_zero_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ig_zero_V", "role": "TREADY" }} , 
 	{ "name": "Ug_d_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_d_V", "role": "TDATA" }} , 
 	{ "name": "Ug_d_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ug_d_V", "role": "TVALID" }} , 
 	{ "name": "Ug_d_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ug_d_V", "role": "TREADY" }} , 
 	{ "name": "Ug_q_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_q_V", "role": "TDATA" }} , 
 	{ "name": "Ug_q_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ug_q_V", "role": "TVALID" }} , 
 	{ "name": "Ug_q_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ug_q_V", "role": "TREADY" }} , 
 	{ "name": "Ug_zero_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_zero_V", "role": "TDATA" }} , 
 	{ "name": "Ug_zero_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Ug_zero_V", "role": "TVALID" }} , 
 	{ "name": "Ug_zero_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Ug_zero_V", "role": "TREADY" }} , 
 	{ "name": "theta_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "theta_V", "role": "TDATA" }} , 
 	{ "name": "theta_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "theta_V", "role": "TVALID" }} , 
 	{ "name": "theta_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "theta_V", "role": "TREADY" }} , 
 	{ "name": "freq_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "freq_V", "role": "TDATA" }} , 
 	{ "name": "freq_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "freq_V", "role": "TVALID" }} , 
 	{ "name": "freq_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "freq_V", "role": "TREADY" }}  ]}

set RtlHierarchyInfo {[
	{"ID" : "0", "Level" : "0", "Path" : "`AUTOTB_DUT_INST", "Parent" : "", "Child" : ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59", "60", "61", "62", "63", "64", "65", "66", "67", "68", "69", "70", "71", "72", "73", "74", "75", "76", "77", "78", "79", "80", "81", "82", "83", "84", "85", "86", "87", "88", "89", "90", "91", "92", "93", "94", "95", "96", "97", "98", "99", "100", "101", "102", "103", "104", "105", "106", "107", "108", "109", "110", "111", "112", "113", "114", "115", "116", "117", "118", "119", "120", "121", "122", "123", "124", "125", "126", "127", "128", "129", "130", "131", "132", "133", "134", "135", "136", "137", "138", "139", "140", "141", "142"],
		"CDFG" : "XMC_grid_sync",
		"Protocol" : "ap_ctrl_none",
		"ControlExist" : "0", "ap_start" : "0", "ap_ready" : "0", "ap_done" : "0", "ap_continue" : "0", "ap_idle" : "0", "real_start" : "0",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "146", "EstimateLatencyMax" : "146",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "Ig_A_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_A_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_B_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_B_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_C_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_C_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_A_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ug_A_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_B_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ug_B_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_C_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ug_C_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ts_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ts_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_d_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ig_d_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_q_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ig_q_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_zero_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ig_zero_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_d_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ug_d_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_q_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ug_q_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_zero_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Ug_zero_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "theta_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "theta_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "freq_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "freq_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Unit_Delay1_q", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Unit_Delay3_q", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Delay_init_count_down", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "cordic_apfixed_circ_table_arctan_128_V", "Type" : "Memory", "Direction" : "I"},
			{"Name" : "Delay_q_Array", "Type" : "Memory", "Direction" : "X"}]},
	{"ID" : "1", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.cordic_apfixed_circ_table_arctan_128_V_U", "Parent" : "0"},
	{"ID" : "2", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.Delay_q_Array_U", "Parent" : "0"},
	{"ID" : "3", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fadd_32ns_32ns_32_10_full_dsp_1_U1", "Parent" : "0"},
	{"ID" : "4", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fadd_32ns_32ns_32_10_full_dsp_1_U2", "Parent" : "0"},
	{"ID" : "5", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U3", "Parent" : "0"},
	{"ID" : "6", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U4", "Parent" : "0"},
	{"ID" : "7", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U5", "Parent" : "0"},
	{"ID" : "8", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U6", "Parent" : "0"},
	{"ID" : "9", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U7", "Parent" : "0"},
	{"ID" : "10", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U8", "Parent" : "0"},
	{"ID" : "11", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U9", "Parent" : "0"},
	{"ID" : "12", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U10", "Parent" : "0"},
	{"ID" : "13", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U11", "Parent" : "0"},
	{"ID" : "14", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U12", "Parent" : "0"},
	{"ID" : "15", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U13", "Parent" : "0"},
	{"ID" : "16", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U14", "Parent" : "0"},
	{"ID" : "17", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U15", "Parent" : "0"},
	{"ID" : "18", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U16", "Parent" : "0"},
	{"ID" : "19", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U17", "Parent" : "0"},
	{"ID" : "20", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U18", "Parent" : "0"},
	{"ID" : "21", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U19", "Parent" : "0"},
	{"ID" : "22", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U20", "Parent" : "0"},
	{"ID" : "23", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U21", "Parent" : "0"},
	{"ID" : "24", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U22", "Parent" : "0"},
	{"ID" : "25", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U23", "Parent" : "0"},
	{"ID" : "26", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U24", "Parent" : "0"},
	{"ID" : "27", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U25", "Parent" : "0"},
	{"ID" : "28", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fpext_32ns_64_3_no_dsp_1_U26", "Parent" : "0"},
	{"ID" : "29", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fcmp_32ns_32ns_1_4_no_dsp_1_U27", "Parent" : "0"},
	{"ID" : "30", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U28", "Parent" : "0"},
	{"ID" : "31", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U29", "Parent" : "0"},
	{"ID" : "32", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U30", "Parent" : "0"},
	{"ID" : "33", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U31", "Parent" : "0"},
	{"ID" : "34", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U32", "Parent" : "0"},
	{"ID" : "35", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U33", "Parent" : "0"},
	{"ID" : "36", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U34", "Parent" : "0"},
	{"ID" : "37", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U35", "Parent" : "0"},
	{"ID" : "38", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U36", "Parent" : "0"},
	{"ID" : "39", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U37", "Parent" : "0"},
	{"ID" : "40", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U38", "Parent" : "0"},
	{"ID" : "41", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U39", "Parent" : "0"},
	{"ID" : "42", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U40", "Parent" : "0"},
	{"ID" : "43", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U41", "Parent" : "0"},
	{"ID" : "44", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U42", "Parent" : "0"},
	{"ID" : "45", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U43", "Parent" : "0"},
	{"ID" : "46", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U44", "Parent" : "0"},
	{"ID" : "47", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U45", "Parent" : "0"},
	{"ID" : "48", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U46", "Parent" : "0"},
	{"ID" : "49", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U47", "Parent" : "0"},
	{"ID" : "50", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U48", "Parent" : "0"},
	{"ID" : "51", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U49", "Parent" : "0"},
	{"ID" : "52", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_32s_6ns_32_1_1_U50", "Parent" : "0"},
	{"ID" : "53", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32ns_32_1_1_U51", "Parent" : "0"},
	{"ID" : "54", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U52", "Parent" : "0"},
	{"ID" : "55", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U53", "Parent" : "0"},
	{"ID" : "56", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U54", "Parent" : "0"},
	{"ID" : "57", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U55", "Parent" : "0"},
	{"ID" : "58", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U56", "Parent" : "0"},
	{"ID" : "59", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U57", "Parent" : "0"},
	{"ID" : "60", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U58", "Parent" : "0"},
	{"ID" : "61", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U59", "Parent" : "0"},
	{"ID" : "62", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U60", "Parent" : "0"},
	{"ID" : "63", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U61", "Parent" : "0"},
	{"ID" : "64", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_64ns_32ns_64_1_1_U62", "Parent" : "0"},
	{"ID" : "65", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_64ns_32ns_64_1_1_U63", "Parent" : "0"},
	{"ID" : "66", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U64", "Parent" : "0"},
	{"ID" : "67", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_16ns_16ns_16_1_1_U65", "Parent" : "0"},
	{"ID" : "68", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U66", "Parent" : "0"},
	{"ID" : "69", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U67", "Parent" : "0"},
	{"ID" : "70", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U68", "Parent" : "0"},
	{"ID" : "71", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U69", "Parent" : "0"},
	{"ID" : "72", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U70", "Parent" : "0"},
	{"ID" : "73", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U71", "Parent" : "0"},
	{"ID" : "74", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U72", "Parent" : "0"},
	{"ID" : "75", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U73", "Parent" : "0"},
	{"ID" : "76", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U74", "Parent" : "0"},
	{"ID" : "77", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U75", "Parent" : "0"},
	{"ID" : "78", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U76", "Parent" : "0"},
	{"ID" : "79", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_54ns_32ns_54_2_1_U77", "Parent" : "0"},
	{"ID" : "80", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U78", "Parent" : "0"},
	{"ID" : "81", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U79", "Parent" : "0"},
	{"ID" : "82", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U80", "Parent" : "0"},
	{"ID" : "83", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U81", "Parent" : "0"},
	{"ID" : "84", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U82", "Parent" : "0"},
	{"ID" : "85", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U83", "Parent" : "0"},
	{"ID" : "86", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U84", "Parent" : "0"},
	{"ID" : "87", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U85", "Parent" : "0"},
	{"ID" : "88", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U86", "Parent" : "0"},
	{"ID" : "89", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U87", "Parent" : "0"},
	{"ID" : "90", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U88", "Parent" : "0"},
	{"ID" : "91", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_32ns_32s_32_1_1_U89", "Parent" : "0"},
	{"ID" : "92", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_18ns_5ns_18_1_1_U90", "Parent" : "0"},
	{"ID" : "93", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.ashr_18ns_5ns_18_1_1_U91", "Parent" : "0"},
	{"ID" : "94", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_33s_14s_47_7_1_U92", "Parent" : "0"},
	{"ID" : "95", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_33s_14s_47_7_1_U93", "Parent" : "0"},
	{"ID" : "96", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_33s_14s_47_7_1_U94", "Parent" : "0"},
	{"ID" : "97", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_33s_14s_47_7_1_U95", "Parent" : "0"},
	{"ID" : "98", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_34s_14s_48_7_1_U96", "Parent" : "0"},
	{"ID" : "99", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_34s_14s_48_7_1_U97", "Parent" : "0"},
	{"ID" : "100", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_34s_14s_48_7_1_U98", "Parent" : "0"},
	{"ID" : "101", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_34s_14s_48_7_1_U99", "Parent" : "0"},
	{"ID" : "102", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_34s_6ns_34_1_1_U100", "Parent" : "0"},
	{"ID" : "103", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_34ns_32ns_34_1_1_U101", "Parent" : "0"},
	{"ID" : "104", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_34s_6ns_34_1_1_U102", "Parent" : "0"},
	{"ID" : "105", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_34ns_32ns_34_1_1_U103", "Parent" : "0"},
	{"ID" : "106", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_34ns_32ns_34_1_1_U104", "Parent" : "0"},
	{"ID" : "107", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_34ns_32ns_34_1_1_U105", "Parent" : "0"},
	{"ID" : "108", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_34ns_32ns_34_1_1_U106", "Parent" : "0"},
	{"ID" : "109", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_34ns_32ns_34_1_1_U107", "Parent" : "0"},
	{"ID" : "110", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_6ns_49_1_1_U108", "Parent" : "0"},
	{"ID" : "111", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49ns_32ns_49_1_1_U109", "Parent" : "0"},
	{"ID" : "112", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49s_32ns_49_2_1_U110", "Parent" : "0"},
	{"ID" : "113", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_32ns_49_2_1_U111", "Parent" : "0"},
	{"ID" : "114", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_6ns_49_1_1_U112", "Parent" : "0"},
	{"ID" : "115", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49ns_32ns_49_1_1_U113", "Parent" : "0"},
	{"ID" : "116", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49s_32ns_49_2_1_U114", "Parent" : "0"},
	{"ID" : "117", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_32ns_49_2_1_U115", "Parent" : "0"},
	{"ID" : "118", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_6ns_49_1_1_U116", "Parent" : "0"},
	{"ID" : "119", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49ns_32ns_49_1_1_U117", "Parent" : "0"},
	{"ID" : "120", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49s_32ns_49_2_1_U118", "Parent" : "0"},
	{"ID" : "121", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_32ns_49_2_1_U119", "Parent" : "0"},
	{"ID" : "122", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_6ns_49_1_1_U120", "Parent" : "0"},
	{"ID" : "123", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49ns_32ns_49_1_1_U121", "Parent" : "0"},
	{"ID" : "124", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.shl_49s_32ns_49_2_1_U122", "Parent" : "0"},
	{"ID" : "125", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.lshr_49s_32ns_49_2_1_U123", "Parent" : "0"},
	{"ID" : "126", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mul_mul_16ns_22ns_37_4_1_U124", "Parent" : "0"},
	{"ID" : "127", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.mac_muladd_4ns_17ns_18ns_18_4_1_U125", "Parent" : "0"},
	{"ID" : "128", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_A_V_U", "Parent" : "0"},
	{"ID" : "129", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_B_V_U", "Parent" : "0"},
	{"ID" : "130", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_C_V_U", "Parent" : "0"},
	{"ID" : "131", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_A_V_U", "Parent" : "0"},
	{"ID" : "132", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_B_V_U", "Parent" : "0"},
	{"ID" : "133", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_C_V_U", "Parent" : "0"},
	{"ID" : "134", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ts_V_U", "Parent" : "0"},
	{"ID" : "135", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_d_V_U", "Parent" : "0"},
	{"ID" : "136", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_q_V_U", "Parent" : "0"},
	{"ID" : "137", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_zero_V_U", "Parent" : "0"},
	{"ID" : "138", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_d_V_U", "Parent" : "0"},
	{"ID" : "139", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_q_V_U", "Parent" : "0"},
	{"ID" : "140", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_zero_V_U", "Parent" : "0"},
	{"ID" : "141", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_theta_V_U", "Parent" : "0"},
	{"ID" : "142", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_freq_V_U", "Parent" : "0"}]}


set ArgLastReadFirstWriteLatency {
	XMC_grid_sync {
		Ig_A_V {Type I LastRead 0 FirstWrite -1}
		Ig_B_V {Type I LastRead 0 FirstWrite -1}
		Ig_C_V {Type I LastRead 0 FirstWrite -1}
		Ug_A_V {Type I LastRead 0 FirstWrite -1}
		Ug_B_V {Type I LastRead 0 FirstWrite -1}
		Ug_C_V {Type I LastRead 0 FirstWrite -1}
		Ts_V {Type I LastRead 0 FirstWrite -1}
		Ig_d_V {Type O LastRead -1 FirstWrite 82}
		Ig_q_V {Type O LastRead -1 FirstWrite 82}
		Ig_zero_V {Type O LastRead -1 FirstWrite 82}
		Ug_d_V {Type O LastRead -1 FirstWrite 82}
		Ug_q_V {Type O LastRead -1 FirstWrite 82}
		Ug_zero_V {Type O LastRead -1 FirstWrite 82}
		theta_V {Type O LastRead -1 FirstWrite 82}
		freq_V {Type O LastRead -1 FirstWrite 82}
		Unit_Delay1_q {Type IO LastRead -1 FirstWrite -1}
		Unit_Delay3_q {Type IO LastRead -1 FirstWrite -1}
		Delay_init_count_down {Type IO LastRead -1 FirstWrite -1}
		cordic_apfixed_circ_table_arctan_128_V {Type I LastRead -1 FirstWrite -1}
		Delay_q_Array {Type X LastRead -1 FirstWrite -1}}}

set hasDtUnsupportedChannel 0

set PerformanceInfo {[
	{"Name" : "Latency", "Min" : "146", "Max" : "146"}
	, {"Name" : "Interval", "Min" : "147", "Max" : "147"}
]}

set PipelineEnableSignalInfo {[
	{"Pipeline" : "0", "EnableSignal" : "ap_enable_pp0"}
]}

set Spec2ImplPortList { 
	Ig_A_V { axis {  { Ig_A_V_TDATA in_data 0 32 }  { Ig_A_V_TVALID in_vld 0 1 }  { Ig_A_V_TREADY in_acc 1 1 } } }
	Ig_B_V { axis {  { Ig_B_V_TDATA in_data 0 32 }  { Ig_B_V_TVALID in_vld 0 1 }  { Ig_B_V_TREADY in_acc 1 1 } } }
	Ig_C_V { axis {  { Ig_C_V_TDATA in_data 0 32 }  { Ig_C_V_TVALID in_vld 0 1 }  { Ig_C_V_TREADY in_acc 1 1 } } }
	Ug_A_V { axis {  { Ug_A_V_TDATA in_data 0 32 }  { Ug_A_V_TVALID in_vld 0 1 }  { Ug_A_V_TREADY in_acc 1 1 } } }
	Ug_B_V { axis {  { Ug_B_V_TDATA in_data 0 32 }  { Ug_B_V_TVALID in_vld 0 1 }  { Ug_B_V_TREADY in_acc 1 1 } } }
	Ug_C_V { axis {  { Ug_C_V_TDATA in_data 0 32 }  { Ug_C_V_TVALID in_vld 0 1 }  { Ug_C_V_TREADY in_acc 1 1 } } }
	Ts_V { axis {  { Ts_V_TDATA in_data 0 32 }  { Ts_V_TVALID in_vld 0 1 }  { Ts_V_TREADY in_acc 1 1 } } }
	Ig_d_V { axis {  { Ig_d_V_TDATA out_data 1 32 }  { Ig_d_V_TVALID out_vld 1 1 }  { Ig_d_V_TREADY out_acc 0 1 } } }
	Ig_q_V { axis {  { Ig_q_V_TDATA out_data 1 32 }  { Ig_q_V_TVALID out_vld 1 1 }  { Ig_q_V_TREADY out_acc 0 1 } } }
	Ig_zero_V { axis {  { Ig_zero_V_TDATA out_data 1 32 }  { Ig_zero_V_TVALID out_vld 1 1 }  { Ig_zero_V_TREADY out_acc 0 1 } } }
	Ug_d_V { axis {  { Ug_d_V_TDATA out_data 1 32 }  { Ug_d_V_TVALID out_vld 1 1 }  { Ug_d_V_TREADY out_acc 0 1 } } }
	Ug_q_V { axis {  { Ug_q_V_TDATA out_data 1 32 }  { Ug_q_V_TVALID out_vld 1 1 }  { Ug_q_V_TREADY out_acc 0 1 } } }
	Ug_zero_V { axis {  { Ug_zero_V_TDATA out_data 1 32 }  { Ug_zero_V_TVALID out_vld 1 1 }  { Ug_zero_V_TREADY out_acc 0 1 } } }
	theta_V { axis {  { theta_V_TDATA out_data 1 32 }  { theta_V_TVALID out_vld 1 1 }  { theta_V_TREADY out_acc 0 1 } } }
	freq_V { axis {  { freq_V_TDATA out_data 1 32 }  { freq_V_TVALID out_vld 1 1 }  { freq_V_TREADY out_acc 0 1 } } }
}

set busDeadlockParameterList { 
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL bus port write response latency information:
set busWriteResLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
