#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst_n", 1, hls_in, -1, "", "", 1),
	Port_Property("Ig_A_V_TDATA", 32, hls_in, 0, "axis", "in_data", 1),
	Port_Property("Ig_A_V_TVALID", 1, hls_in, 0, "axis", "in_vld", 1),
	Port_Property("Ig_A_V_TREADY", 1, hls_out, 0, "axis", "in_acc", 1),
	Port_Property("Ig_B_V_TDATA", 32, hls_in, 1, "axis", "in_data", 1),
	Port_Property("Ig_B_V_TVALID", 1, hls_in, 1, "axis", "in_vld", 1),
	Port_Property("Ig_B_V_TREADY", 1, hls_out, 1, "axis", "in_acc", 1),
	Port_Property("Ig_C_V_TDATA", 32, hls_in, 2, "axis", "in_data", 1),
	Port_Property("Ig_C_V_TVALID", 1, hls_in, 2, "axis", "in_vld", 1),
	Port_Property("Ig_C_V_TREADY", 1, hls_out, 2, "axis", "in_acc", 1),
	Port_Property("Ug_A_V_TDATA", 32, hls_in, 3, "axis", "in_data", 1),
	Port_Property("Ug_A_V_TVALID", 1, hls_in, 3, "axis", "in_vld", 1),
	Port_Property("Ug_A_V_TREADY", 1, hls_out, 3, "axis", "in_acc", 1),
	Port_Property("Ug_B_V_TDATA", 32, hls_in, 4, "axis", "in_data", 1),
	Port_Property("Ug_B_V_TVALID", 1, hls_in, 4, "axis", "in_vld", 1),
	Port_Property("Ug_B_V_TREADY", 1, hls_out, 4, "axis", "in_acc", 1),
	Port_Property("Ug_C_V_TDATA", 32, hls_in, 5, "axis", "in_data", 1),
	Port_Property("Ug_C_V_TVALID", 1, hls_in, 5, "axis", "in_vld", 1),
	Port_Property("Ug_C_V_TREADY", 1, hls_out, 5, "axis", "in_acc", 1),
	Port_Property("Ts_V_TDATA", 32, hls_in, 6, "axis", "in_data", 1),
	Port_Property("Ts_V_TVALID", 1, hls_in, 6, "axis", "in_vld", 1),
	Port_Property("Ts_V_TREADY", 1, hls_out, 6, "axis", "in_acc", 1),
	Port_Property("Ig_d_V_TDATA", 32, hls_out, 7, "axis", "out_data", 1),
	Port_Property("Ig_d_V_TVALID", 1, hls_out, 7, "axis", "out_vld", 1),
	Port_Property("Ig_d_V_TREADY", 1, hls_in, 7, "axis", "out_acc", 1),
	Port_Property("Ig_q_V_TDATA", 32, hls_out, 8, "axis", "out_data", 1),
	Port_Property("Ig_q_V_TVALID", 1, hls_out, 8, "axis", "out_vld", 1),
	Port_Property("Ig_q_V_TREADY", 1, hls_in, 8, "axis", "out_acc", 1),
	Port_Property("Ig_zero_V_TDATA", 32, hls_out, 9, "axis", "out_data", 1),
	Port_Property("Ig_zero_V_TVALID", 1, hls_out, 9, "axis", "out_vld", 1),
	Port_Property("Ig_zero_V_TREADY", 1, hls_in, 9, "axis", "out_acc", 1),
	Port_Property("Ug_d_V_TDATA", 32, hls_out, 10, "axis", "out_data", 1),
	Port_Property("Ug_d_V_TVALID", 1, hls_out, 10, "axis", "out_vld", 1),
	Port_Property("Ug_d_V_TREADY", 1, hls_in, 10, "axis", "out_acc", 1),
	Port_Property("Ug_q_V_TDATA", 32, hls_out, 11, "axis", "out_data", 1),
	Port_Property("Ug_q_V_TVALID", 1, hls_out, 11, "axis", "out_vld", 1),
	Port_Property("Ug_q_V_TREADY", 1, hls_in, 11, "axis", "out_acc", 1),
	Port_Property("Ug_zero_V_TDATA", 32, hls_out, 12, "axis", "out_data", 1),
	Port_Property("Ug_zero_V_TVALID", 1, hls_out, 12, "axis", "out_vld", 1),
	Port_Property("Ug_zero_V_TREADY", 1, hls_in, 12, "axis", "out_acc", 1),
	Port_Property("theta_V_TDATA", 32, hls_out, 13, "axis", "out_data", 1),
	Port_Property("theta_V_TVALID", 1, hls_out, 13, "axis", "out_vld", 1),
	Port_Property("theta_V_TREADY", 1, hls_in, 13, "axis", "out_acc", 1),
	Port_Property("freq_V_TDATA", 32, hls_out, 14, "axis", "out_data", 1),
	Port_Property("freq_V_TVALID", 1, hls_out, 14, "axis", "out_vld", 1),
	Port_Property("freq_V_TREADY", 1, hls_in, 14, "axis", "out_acc", 1),
};
const char* HLS_Design_Meta::dut_name = "XMC_grid_sync";
