#include <systemc>
#include <vector>
#include <iostream>
#include "hls_stream.h"
#include "ap_int.h"
#include "ap_fixed.h"
using namespace std;
using namespace sc_dt;
class AESL_RUNTIME_BC {
  public:
    AESL_RUNTIME_BC(const char* name) {
      file_token.open( name);
      if (!file_token.good()) {
        cout << "Failed to open tv file " << name << endl;
        exit (1);
      }
      file_token >> mName;//[[[runtime]]]
    }
    ~AESL_RUNTIME_BC() {
      file_token.close();
    }
    int read_size () {
      int size = 0;
      file_token >> mName;//[[transaction]]
      file_token >> mName;//transaction number
      file_token >> mName;//pop_size
      size = atoi(mName.c_str());
      file_token >> mName;//[[/transaction]]
      return size;
    }
  public:
    fstream file_token;
    string mName;
};
unsigned int ap_apatb_Ig_A_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_A_V_size_Reader("../tv/stream_size/stream_size_in_Ig_A_V.dat");
unsigned int ap_apatb_Ig_B_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_B_V_size_Reader("../tv/stream_size/stream_size_in_Ig_B_V.dat");
unsigned int ap_apatb_Ig_C_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_C_V_size_Reader("../tv/stream_size/stream_size_in_Ig_C_V.dat");
unsigned int ap_apatb_Ug_A_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_A_V_size_Reader("../tv/stream_size/stream_size_in_Ug_A_V.dat");
unsigned int ap_apatb_Ug_B_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_B_V_size_Reader("../tv/stream_size/stream_size_in_Ug_B_V.dat");
unsigned int ap_apatb_Ug_C_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_C_V_size_Reader("../tv/stream_size/stream_size_in_Ug_C_V.dat");
unsigned int ap_apatb_Ts_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ts_V_size_Reader("../tv/stream_size/stream_size_in_Ts_V.dat");
unsigned int ap_apatb_Ig_d_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_d_V_size_Reader("../tv/stream_size/stream_size_out_Ig_d_V.dat");
unsigned int ap_apatb_Ig_q_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_q_V_size_Reader("../tv/stream_size/stream_size_out_Ig_q_V.dat");
unsigned int ap_apatb_Ig_zero_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_zero_V_size_Reader("../tv/stream_size/stream_size_out_Ig_zero_V.dat");
unsigned int ap_apatb_Ug_d_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_d_V_size_Reader("../tv/stream_size/stream_size_out_Ug_d_V.dat");
unsigned int ap_apatb_Ug_q_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_q_V_size_Reader("../tv/stream_size/stream_size_out_Ug_q_V.dat");
unsigned int ap_apatb_Ug_zero_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_zero_V_size_Reader("../tv/stream_size/stream_size_out_Ug_zero_V.dat");
unsigned int ap_apatb_theta_V_cap_bc;
static AESL_RUNTIME_BC __xlx_theta_V_size_Reader("../tv/stream_size/stream_size_out_theta_V.dat");
unsigned int ap_apatb_freq_V_cap_bc;
static AESL_RUNTIME_BC __xlx_freq_V_size_Reader("../tv/stream_size/stream_size_out_freq_V.dat");
extern "C" void XMC_grid_sync(float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*);
extern "C" void apatb_XMC_grid_sync_hw(volatile void * __xlx_apatb_param_Ig_A, volatile void * __xlx_apatb_param_Ig_B, volatile void * __xlx_apatb_param_Ig_C, volatile void * __xlx_apatb_param_Ug_A, volatile void * __xlx_apatb_param_Ug_B, volatile void * __xlx_apatb_param_Ug_C, volatile void * __xlx_apatb_param_Ts, volatile void * __xlx_apatb_param_Ig_d, volatile void * __xlx_apatb_param_Ig_q, volatile void * __xlx_apatb_param_Ig_zero, volatile void * __xlx_apatb_param_Ug_d, volatile void * __xlx_apatb_param_Ug_q, volatile void * __xlx_apatb_param_Ug_zero, volatile void * __xlx_apatb_param_theta, volatile void * __xlx_apatb_param_freq) {
  // collect __xlx_Ig_A_tmp_vec
  unsigned __xlx_Ig_A_V_tmp_Count = 0;
  unsigned __xlx_Ig_A_V_read_Size = __xlx_Ig_A_V_size_Reader.read_size();
  vector<float> __xlx_Ig_A_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_A)->empty() && __xlx_Ig_A_V_tmp_Count < __xlx_Ig_A_V_read_Size) {
    __xlx_Ig_A_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_A)->read());
    __xlx_Ig_A_V_tmp_Count++;
  }
  ap_apatb_Ig_A_V_cap_bc = __xlx_Ig_A_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_A_input_buffer= new float[__xlx_Ig_A_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_A_tmp_vec.size(); ++i) {
    __xlx_Ig_A_input_buffer[i] = __xlx_Ig_A_tmp_vec[i];
  }
  // collect __xlx_Ig_B_tmp_vec
  unsigned __xlx_Ig_B_V_tmp_Count = 0;
  unsigned __xlx_Ig_B_V_read_Size = __xlx_Ig_B_V_size_Reader.read_size();
  vector<float> __xlx_Ig_B_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_B)->empty() && __xlx_Ig_B_V_tmp_Count < __xlx_Ig_B_V_read_Size) {
    __xlx_Ig_B_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_B)->read());
    __xlx_Ig_B_V_tmp_Count++;
  }
  ap_apatb_Ig_B_V_cap_bc = __xlx_Ig_B_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_B_input_buffer= new float[__xlx_Ig_B_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_B_tmp_vec.size(); ++i) {
    __xlx_Ig_B_input_buffer[i] = __xlx_Ig_B_tmp_vec[i];
  }
  // collect __xlx_Ig_C_tmp_vec
  unsigned __xlx_Ig_C_V_tmp_Count = 0;
  unsigned __xlx_Ig_C_V_read_Size = __xlx_Ig_C_V_size_Reader.read_size();
  vector<float> __xlx_Ig_C_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_C)->empty() && __xlx_Ig_C_V_tmp_Count < __xlx_Ig_C_V_read_Size) {
    __xlx_Ig_C_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_C)->read());
    __xlx_Ig_C_V_tmp_Count++;
  }
  ap_apatb_Ig_C_V_cap_bc = __xlx_Ig_C_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_C_input_buffer= new float[__xlx_Ig_C_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_C_tmp_vec.size(); ++i) {
    __xlx_Ig_C_input_buffer[i] = __xlx_Ig_C_tmp_vec[i];
  }
  // collect __xlx_Ug_A_tmp_vec
  unsigned __xlx_Ug_A_V_tmp_Count = 0;
  unsigned __xlx_Ug_A_V_read_Size = __xlx_Ug_A_V_size_Reader.read_size();
  vector<float> __xlx_Ug_A_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ug_A)->empty() && __xlx_Ug_A_V_tmp_Count < __xlx_Ug_A_V_read_Size) {
    __xlx_Ug_A_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ug_A)->read());
    __xlx_Ug_A_V_tmp_Count++;
  }
  ap_apatb_Ug_A_V_cap_bc = __xlx_Ug_A_tmp_vec.size();
  // store input buffer
  float* __xlx_Ug_A_input_buffer= new float[__xlx_Ug_A_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ug_A_tmp_vec.size(); ++i) {
    __xlx_Ug_A_input_buffer[i] = __xlx_Ug_A_tmp_vec[i];
  }
  // collect __xlx_Ug_B_tmp_vec
  unsigned __xlx_Ug_B_V_tmp_Count = 0;
  unsigned __xlx_Ug_B_V_read_Size = __xlx_Ug_B_V_size_Reader.read_size();
  vector<float> __xlx_Ug_B_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ug_B)->empty() && __xlx_Ug_B_V_tmp_Count < __xlx_Ug_B_V_read_Size) {
    __xlx_Ug_B_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ug_B)->read());
    __xlx_Ug_B_V_tmp_Count++;
  }
  ap_apatb_Ug_B_V_cap_bc = __xlx_Ug_B_tmp_vec.size();
  // store input buffer
  float* __xlx_Ug_B_input_buffer= new float[__xlx_Ug_B_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ug_B_tmp_vec.size(); ++i) {
    __xlx_Ug_B_input_buffer[i] = __xlx_Ug_B_tmp_vec[i];
  }
  // collect __xlx_Ug_C_tmp_vec
  unsigned __xlx_Ug_C_V_tmp_Count = 0;
  unsigned __xlx_Ug_C_V_read_Size = __xlx_Ug_C_V_size_Reader.read_size();
  vector<float> __xlx_Ug_C_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ug_C)->empty() && __xlx_Ug_C_V_tmp_Count < __xlx_Ug_C_V_read_Size) {
    __xlx_Ug_C_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ug_C)->read());
    __xlx_Ug_C_V_tmp_Count++;
  }
  ap_apatb_Ug_C_V_cap_bc = __xlx_Ug_C_tmp_vec.size();
  // store input buffer
  float* __xlx_Ug_C_input_buffer= new float[__xlx_Ug_C_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ug_C_tmp_vec.size(); ++i) {
    __xlx_Ug_C_input_buffer[i] = __xlx_Ug_C_tmp_vec[i];
  }
  // collect __xlx_Ts_tmp_vec
  unsigned __xlx_Ts_V_tmp_Count = 0;
  unsigned __xlx_Ts_V_read_Size = __xlx_Ts_V_size_Reader.read_size();
  vector<float> __xlx_Ts_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ts)->empty() && __xlx_Ts_V_tmp_Count < __xlx_Ts_V_read_Size) {
    __xlx_Ts_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ts)->read());
    __xlx_Ts_V_tmp_Count++;
  }
  ap_apatb_Ts_V_cap_bc = __xlx_Ts_tmp_vec.size();
  // store input buffer
  float* __xlx_Ts_input_buffer= new float[__xlx_Ts_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ts_tmp_vec.size(); ++i) {
    __xlx_Ts_input_buffer[i] = __xlx_Ts_tmp_vec[i];
  }
  //Create input buffer for Ig_d
  ap_apatb_Ig_d_V_cap_bc = __xlx_Ig_d_V_size_Reader.read_size();
  float* __xlx_Ig_d_input_buffer= new float[ap_apatb_Ig_d_V_cap_bc];
  //Create input buffer for Ig_q
  ap_apatb_Ig_q_V_cap_bc = __xlx_Ig_q_V_size_Reader.read_size();
  float* __xlx_Ig_q_input_buffer= new float[ap_apatb_Ig_q_V_cap_bc];
  //Create input buffer for Ig_zero
  ap_apatb_Ig_zero_V_cap_bc = __xlx_Ig_zero_V_size_Reader.read_size();
  float* __xlx_Ig_zero_input_buffer= new float[ap_apatb_Ig_zero_V_cap_bc];
  //Create input buffer for Ug_d
  ap_apatb_Ug_d_V_cap_bc = __xlx_Ug_d_V_size_Reader.read_size();
  float* __xlx_Ug_d_input_buffer= new float[ap_apatb_Ug_d_V_cap_bc];
  //Create input buffer for Ug_q
  ap_apatb_Ug_q_V_cap_bc = __xlx_Ug_q_V_size_Reader.read_size();
  float* __xlx_Ug_q_input_buffer= new float[ap_apatb_Ug_q_V_cap_bc];
  //Create input buffer for Ug_zero
  ap_apatb_Ug_zero_V_cap_bc = __xlx_Ug_zero_V_size_Reader.read_size();
  float* __xlx_Ug_zero_input_buffer= new float[ap_apatb_Ug_zero_V_cap_bc];
  //Create input buffer for theta
  ap_apatb_theta_V_cap_bc = __xlx_theta_V_size_Reader.read_size();
  float* __xlx_theta_input_buffer= new float[ap_apatb_theta_V_cap_bc];
  //Create input buffer for freq
  ap_apatb_freq_V_cap_bc = __xlx_freq_V_size_Reader.read_size();
  float* __xlx_freq_input_buffer= new float[ap_apatb_freq_V_cap_bc];
  // DUT call
  XMC_grid_sync(__xlx_Ig_A_input_buffer, __xlx_Ig_B_input_buffer, __xlx_Ig_C_input_buffer, __xlx_Ug_A_input_buffer, __xlx_Ug_B_input_buffer, __xlx_Ug_C_input_buffer, __xlx_Ts_input_buffer, __xlx_Ig_d_input_buffer, __xlx_Ig_q_input_buffer, __xlx_Ig_zero_input_buffer, __xlx_Ug_d_input_buffer, __xlx_Ug_q_input_buffer, __xlx_Ug_zero_input_buffer, __xlx_theta_input_buffer, __xlx_freq_input_buffer);
  for (unsigned i = 0; i <ap_apatb_Ig_d_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ig_d)->write(__xlx_Ig_d_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Ig_q_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ig_q)->write(__xlx_Ig_q_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Ig_zero_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ig_zero)->write(__xlx_Ig_zero_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Ug_d_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ug_d)->write(__xlx_Ug_d_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Ug_q_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ug_q)->write(__xlx_Ug_q_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Ug_zero_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Ug_zero)->write(__xlx_Ug_zero_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_theta_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_theta)->write(__xlx_theta_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_freq_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_freq)->write(__xlx_freq_input_buffer[i]);
}
